# Hints

kitty has a hints mode to select and act on arbitrary text snippets currently visible on the screen. For example, you can press `ctrl+shift+e` to choose any URL visible on the screen and then open it using your system browser.

URL hints mode

Similarly, you can press `ctrl+shift+p>f` to select anything that looks like a path or filename and then insert it into the terminal, very useful for picking files from the output of a `git` or `ls` command and adding them to the command line for the next command.

The hints kitten is very powerful to see more detailed help on its various options and modes of operation, see below.

## Command Line Interface

    kitty +kitten hints [options]

Select text from the screen using the keyboard. Defaults to searching for URLs.

### Options

`--program``<PROGRAM>`

  What program to use to open matched text. Defaults to the default open program for the operating system. Use a value of `-` to paste the match into the terminal window instead. A value of `@` will copy the match to the clipboard. Default: `default`

`--type``<TYPE>`

  The type of text to search for. Default: `url` Choices: `word, path, line, url, hash, regex`

`--regex``<REGEX>`

  The regular expression to use when `kitty +kitten hints --type``=regex`. If you specify a group in the regular expression only the group will be matched. This allow you to match text ignoring a prefix/suffix, as needed. The default expression matches lines. Default: `(?m)^\s*(.+)\s*$`

`--url-prefixes``<URL_PREFIXES>`

  Comma separated list of recognized URL prefixes. Default: `file,ftp,http,https`

`--word-characters``<WORD_CHARACTERS>`

  Characters to consider as part of a word. In addition, all characters marked as alpha-numeric in the unicode database will be considered as word characters. Defaults to the select_by_word_characters setting from kitty.conf.

`--minimum-match-length``<MINIMUM_MATCH_LENGTH>`

  The minimum number of characters to consider a match. Default: `3`

`--multiple```

  Select multiple matches and perform the action on all of them together at the end. In this mode, press `Esc` to finish selecting.